Search Forums
Forums
Kiwitrees on Twitter
    Tags

    missing data, kiwitrees theme, 3.0.0, permissions, responsive menus, 3.2.2, name, 3.2.1, 3.1.1, webtrees, tabs, 3.2.0, Require visitor authentication, future, admin, login upgrade, timeout, ASSO, re-order, relationships, locked out, MAC, simpl_grey, type, tools, updates, google, custom text, Relationship, 3.1, Default record, access roles, server, media_links, sidebar, time, nickname, emmigration, add_asso_facts, BURI, illegitimate, validation, place, merge, fancy image bar, version, Favourites, pdf, getClientIp, road map, IE11, events of close relatives, colors, media, configure, add, .mo, watermark, Add a wife, danish

    Topic:   PHP version  

    This topic contains 4 replies, has 3 voices, and was last updated by kiwi kiwi 2 years, 4 months ago.

    Viewing 5 posts - 1 through 5 (of 5 total)
    • Author
      Posts
    • #4657
      macalter
      macalter
      Participant

      550 posts

      My site is set for PHP Version 5.5.26. Any restriction that I can’t go to 5.6x (Fast CGI)? I just installed webtrees to see what they’re up to and had to update to 5.6x, so thought I probably should do my active sites?

      -----
      Kiwitrees:
      "A-D connections 3.3.1"
      PHP 7.0 Fast CGI

      "The Royals 3.3.1"
      PHP 7.0 Fast CGI
      mySQL server: 5.1.56
      MacOS: 10.11.6  (El Capitan)
      Browsers (mac): Safari  Version 11.0;  Firefox 56.0
      [updated: 07 Oct 2017]

      #4658
      kiwi
      kiwi
      Keymaster

      1545 posts

      Kiwitrees has not yet been tested properly on 5.6, and I don’t currently have an ability to test or support any issues you might come across, so I advise against it for now.

      Jamie reported an issue with the Zend library (https://kiwitrees.net/forums/topic/new-translations-for-kiwitrees-3-1/#post-4603) , but I don’t know if that’s a set up problem at her end or something more significant for kiwitrees as a whole.

      Once I release 3.1 later this week I will be upgrading my test environment to PHP 5.6 and will ensure that 3.2 is compatible with that.

      Of course if you want to ‘guinea pig’ kiwitrees on PHP 5.6 for me that would be great 🙂 The downside of a small community such as we have here is a lack of testers. But I feel that is more than balanced by the friendliness we have here.

      Nigel
      My personal kiwitrees site is www.our-families.info
      #4659
      macalter
      macalter
      Participant

      550 posts

      Not in any hurry to change, just wanted to check.

      -----
      Kiwitrees:
      "A-D connections 3.3.1"
      PHP 7.0 Fast CGI

      "The Royals 3.3.1"
      PHP 7.0 Fast CGI
      mySQL server: 5.1.56
      MacOS: 10.11.6  (El Capitan)
      Browsers (mac): Safari  Version 11.0;  Firefox 56.0
      [updated: 07 Oct 2017]

      #4660
      pab
      pab
      Participant

      121 posts

      My local install of kiwitrees uses PHP Version 5.6.9-0+deb8u1 and seems stable, but I have not exhaustively tested every feature.
      My ‘live’ website is PHP 5.5.22

      Paul

      Penguins Are Boss

      Apache 2.4.25; MariaDB 10.1.22; PHP 7.0.18

      http://bootesgowland.info

      #4661
      kiwi
      kiwi
      Keymaster

      1545 posts

      Thanks Paul, that’s very useful to know. Pretty much what I expected / hoped would be the case.

      Nigel
      My personal kiwitrees site is www.our-families.info
    Viewing 5 posts - 1 through 5 (of 5 total)

    You must be logged in to reply to this topic.